<?php
namespace com\nestdesign\WpJobManagerApi2\Applications;
use com\nestdesign\WpJobManagerApi2\Main;
class SimpleJobBoardApplications extends Application {
  public static function init() {
    add_action('sjb_applicants_insert_post_meta_end', function ($pid) {
      $application = get_post($pid);
      $job_post = get_post($application->post_parent);
      $data = array_map(function ($itms) { return $itms[0]; }, get_post_meta($pid));
      $attachments = array();
      if(!empty($data['resume_path'])) {
        $attachments = self::attachmentsFromApplications($data['resume_path']);
      }
      self::submit_apply_notification($job_post, $data, $attachments);
    });
  }
  protected static function attachmentsFromApplications($resumes) {
    return array_map(function ($i) { return curl_file_create($i, '', basename($i)); }, (array)$resumes);
  }
}
SimpleJobBoardApplications::init();
?>
