<?php
namespace com\nestdesign\WpJobManagerApi2;
/*
Plugin Name: WP Job Manager API2
Plugin URI:  http://yourecruit.com/resources_public/wordpress_job_manager_api.php
Description: Allows you to submit jobs to WP Job Manager plugin using XML, json or POST API. This plugin depends on <a href="http://wordpress.org/plugins/wp-job-manager/">WP Job Manager plugin</a> or <a href="https://cs.wordpress.org/plugins/simple-job-board/">WP Simple Job Board plugin</a>.
Version: 1.1.10
Author: Martin Letacek
Tested up to: 5.4.2
Text Domain: wp-job-manager-api2

  Copyright: 2014 YouRecruit.com
  License: GNU General Public License v3.0
  License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/
require_once(dirname(__FILE__).'/classes/meta_taxonomy_trait.php');
require_once(dirname(__FILE__).'/classes/output_trait.php');
require_once(dirname(__FILE__).'/classes/create_term_trait.php');
require_once(dirname(__FILE__).'/classes/main.php');
require_once(dirname(__FILE__).'/display_salary.php');
if(!class_exists('\Puc_v4_Factory')) {
  require_once(dirname(__FILE__).'/libs/plugin-update-checker/plugin-update-checker.php');
}
$myUpdateChecker = \Puc_v4_Factory::buildUpdateChecker(
  'https://yourecruit.com/resources_public/api2/details.json',
  __FILE__,
  'wp-job-manager-api2'
);
