<?php
namespace com\nestdesign\WpJobManagerApi2\Applications;
use com\nestdesign\WpJobManagerApi2\Main;
class WPJBApplications extends Application {
  public static function init() {
    add_action('new_job_application', function ($application_id, $application) {
      if(!is_int($application) || !Application::shouldAttempNotify()) return;
      //So we hve received an application, notify!
      $fields = get_job_application_form_fields();
      $application = get_post($application);
      $data = array_map(function ($itms) { return $itms[0]; }, get_post_meta($application_id));
      $attachments = self::attachmentsFromApplications($data);
      unset($data['_attachment'], $data['_attachment_file']);
      self::submit_apply_notification($application, $data, $attachments);
    }, 10, 2);
  }
  protected static function attachmentsFromApplications(&$data) {
    return array_map(function ($i) { return curl_file_create($i, '', basename($i)); }, unserialize($data['_attachment_file']));
  }
}
WPJBApplications::init();

?>
